//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("ChiTietChungTuMuaHang")]
    public partial class ChiTietChungTuMuaHang
    {
        [Key]
        public int MaChiTietChungTuMuaHang { get; set; }
        public string MaChungTuMuaHang { get; set; }
        public string MaHang { get; set; }
        public string Kho { get; set; }
        public string TKKho { get; set; }
        public string TKCongNo { get; set; }
        public Nullable<double> SoLuong { get; set; }
        public Nullable<double> ThanhTien { get; set; }
        public Nullable<double> TienChietKhau { get; set; }
        public string ChiPhiMuaHang { get; set; }
        public string GiaTriNhapKho { get; set; }
        public string SoLo { get; set; }
        public string DoiTuongDHCP { get; set; }
        public string CongTrinh { get; set; }
        public string MaHopDongMua { get; set; }
        public string MaDonMuaHang { get; set; }
        public string MaThongKe { get; set; }

      
        public virtual DonMuaHang DonMuaHang { get; set; }
        public virtual HangHoa HangHoa { get; set; }
     
    }
}
